<?php

class NaizfitXmlfeedModuleFrontController extends ModuleFrontController {
  
  public function __construct(){
    parent::__construct();
    $this->context = Context::getContext();
    $this->display_header = false;
    $this->display_header_javascript = false;
    $this->display_footer = false;
	}
	public function init(){
    	parent::init();
  }
  public function initContent() {
		$this->display_column_left = false;
		$this->display_column_right = false;
    parent::initContent();
    
    $id_lang = $this->context->language->id ?: 1;
    $products = Product::getProducts($id_lang, 0, 9999, 'id_product', 'asc', false, true);
		$products_all = Product::getProductsProperties($id_lang, $products);
      
    // $this->context->smarty->assign(array(
		// 	'products' => json_encode($products_all)
		// ));
		
    // $this->setTemplate('module:Naizfit/views/templates/front/xml.tpl');
    header('Content-Type: application/json; charset=utf-8');
    $attrs = array("meta_title", "category_name", "id_product", "link", "combinations", "image_link", "full_link");
    foreach($products_all as &$p) {
      $p["image"] = Product::getCover($p["id_product"]);
      $p["image_link"][] = $this->context->link->getImageLink($p["link_rewrite"], $p["image"]['id_image'], ImageType::getFormatedName('home'));
      $p["combinations"] = Product::getAttributesInformationsByProduct($p["id_product"]);
      $p["full_link"] = $this->context->link->getProductLink((int)$p['id_product'], $p['link_rewrite'], $p['category'], $p['ean13']);
      if (!key_exists("mode", $_GET) || $_GET["mode"] !== "full") {
        foreach ($p as $k => $attr) {
          if (!in_array($k, $attrs)) {
            unset ($p[$k]);
          }
        }
      }
    }
    unset($p);
    $this->ajaxDie((json_encode(array("products" => $products_all), JSON_UNESCAPED_UNICODE)));
    // $json = Tools::jsonEncode(array("products" => $products_all));
    // echo $json;
    // die;
  }
}